package com.a_quest.aqk2kdemo;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.List;

public class WordListAdapter extends ArrayAdapter<WordItem> {

    private LayoutInflater inflater;
    WordItem item;

    public WordListAdapter(Context context, int resource, List<WordItem> objects) {
        super(context, resource, objects);
        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    public View getView(final int position, View convertView, final ViewGroup parent) {
        if (convertView == null) {
            convertView = inflater.inflate(R.layout.list_item, null);
        }
        item = this.getItem(position);

        TextView textView = (TextView) convertView.findViewById(R.id.listText);
        if (textView != null) {
            textView.setText(item.getSurface());
        }

        //削除ボタンの設定
        Button DeleteButton=(Button)convertView.findViewById(R.id.listDeleteBtn);
        DeleteButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // Item削除
                ListView list = (ListView)parent;
                WordItem item = (WordItem)list.getItemAtPosition(position);
                ArrayAdapter<WordItem> adapter = (ArrayAdapter<WordItem>)list.getAdapter();
                adapter.remove(item);
                Toast.makeText(MyApplication.getInstance(), "削除しました", Toast.LENGTH_SHORT).show();
            }
        });

        return convertView;
    }

}